Get list of company themes
curl --request GET \
--url https://api.kinsta.com/v2/company/{id}/wp-themes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offset": 0,
"limit": 30,
"search": "Twenty Twenty-One",
"status": "active",
"column": "updatesAvailable"
}
'import requests
url = "https://api.kinsta.com/v2/company/{id}/wp-themes"
payload = {
"offset": 0,
"limit": 30,
"search": "Twenty Twenty-One",
"status": "active",
"column": "updatesAvailable"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offset: 0,
limit: 30,
search: 'Twenty Twenty-One',
status: 'active',
column: 'updatesAvailable'
})
};
fetch('https://api.kinsta.com/v2/company/{id}/wp-themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"themes": {
"total": 15,
"last_updated_at": "2026-01-01T12:00:00.000Z",
"items": [
{
"name": "twentytwentyone",
"title": "Twenty Twenty-One",
"description": "Default WordPress theme for 2021.",
"latest_version": "1.0",
"is_latest_version_vulnerable": false,
"environment_count": 5,
"update_count": 2,
"environments": [
{
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"site_display_name": "My Awesome Site",
"display_name": "Live",
"theme_status": "active",
"theme_update": "available",
"theme_version": "1.0.0",
"is_theme_version_vulnerable": false,
"theme_update_version": "1.0.1",
"is_theme_update_version_vulnerable": false,
"theme_update_status": "updated",
"auto_update_type": "Kinsta Automatic Update"
}
]
}
]
}
}
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Could not find data or the user does not have permissions to retrieve it",
"status": 404,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Themes & Plugins
Get list of company themes
GET
/
company
/
{id}
/
wp-themes
Get list of company themes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Response
List of company themes
Show child attributes
Show child attributes
⌘I